Subject: Re: bug#51696: Request: Adopt the unofficial GUIX community on Matrix

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 12 Nov 2021 20:58:25 -0500

Hi Jacob,

Jacob Hrbek <[email-masked]> writes:

>> I was curious because you said in your experience the clients other than Element worked well (which is not my experience). -- Maxim
>
> To clarify I meant that I didn't experience any issues sending or receiving messages on those clients and I asked "Is there any reason why should I check them?" in case you are aware of an issue that I should check.
>
>> When I used tried using it a couple years back it was consuming easily 1 GiB of memory in the browser, sometimes 2. -- Maxim
>
> The initial sync takes around this on my system as well which seems to grow depending on the complexity of the account e.g. account that joined X amount of channels and sent X amount of messages will need more resources for the login
> procedure due to the zero knowledge federation.

I see.  For my usage, that's too much, as I'm not comfortable dedicating
up to a quarter of my system memory for a real time text messaging
application.

> Could you try the client again for fresh data ideally outside of the matrix.org homeserver? I always have issues on the upstream homeserver so it makes me feel like its not representative of the network.
>
> ---
>
> FWIW there is a script for weechat that integrates matrix as well.

Yes, I'm aware of it; as I wrote earlier, I had tried it and found it
too buggy to be usable, unfortunately.

Could you clarify what benefits would "adopting" the Matrix channel and
space provide?  Isn't there already a bridge to libera.chat (thus #guix)
in Matrix?

Thanks,

Maxim